> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Refund

> Get a payment refund



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashout/refunds/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/refunds/{id}:
    get:
      tags:
        - cashout
      summary: Get a payment document refund
      description: Get a payment document refund
      operationId: TrioFoundationWeb.Banking.Cashout.RefundController.show
      parameters:
        - description: Refund UUID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payment_document_refund_response'
          description: Refund
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Payment_document_refund_response:
      description: Payment document refund response
      example:
        data:
          amount:
            amount: 100
            currency: BRL
          bank_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          description: description
          end_to_end_id: E44444444202405211946Dwg1pjxgehP
          entity_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          external_id: external_id
          id: 018f9cb0-8d11-f5da-31a1-0c243407d6d3
          origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          origin_type: none
          payment_document_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          receipt_url: >-
            https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033
          reconciliation_id: null
          stages:
            - error_code: null
              error_message: null
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              inserted_at: '2024-05-21T19:46:07.285344Z'
              status: created
          status: created
          timestamp: '2024-05-21T19:46:07.249436Z'
          transaction_date: null
          virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
      properties:
        data:
          $ref: '#/components/schemas/Payment_document_refund_response'
      title: Payment document refund response
      type: object

````